{% extends 'base.html.twig' %}
{% block title %}{% endblock %}
{% block slider %}
{% endblock slider %}
{% block body %}

<body>

    <section class="main_sectionGarcon">
        <div class="card_Div">
            <section class="section_add_cart">
                <div class="address_cart">
                <div>
                    <div>
                        <i class="fa-solid fa-location-dot"></i>
                        <span> Adresse de livraison :</span>
                    </div>
                </div>
                <div id="addressDiv">
                    <div>
                        <p>
                            {{ app.user.firstname}} {% set break = true %} {{ app.user.lastname}} 
                        </p>
                    </div>
                    <div>
                        <p>
                            {{app.user.customer.addressline1}}
                        </p>
                    </div>
                    <div>
                        <p>
                            {{app.user.customer.addressline2}}
                        </p>
                    </div>
                    <div>
                        <p>
                            {{app.user.customer.city}}
                        </p>
                    </div>
                </div>
                <div>
                    <a href="{{ path("app_register_edit_test",{id: app.user.customer.id})}}" class="button button5">
                        <button type="submit" class="btnCart">Modifier</button>
                    </a>
                    
                </div>
            </div>
            </section>

            {% set totalPrice = 0 %}
            {% set totalQuantity = 0 %}
            {% for element in panier %}      

            {# {{ dump(element) }} #}

            <div class="detaiCards">

                <div class="subcarddetails">
                    <a href="">
                        <div>
                            <img src="{{asset('uploads/productvariation/'~ element.picture.path)}}" alt="">
                        </div>
                    </a>
                </div>

                <div class="cartproduct">
                    <div>
                        <h1 class="productTitle">{{ element.product.subtitle }}</h1>
                    </div>
                    <div class="productdisc">
                        <span>{{ element.product.discrition }}</span>
                    </div>
                    <div class="hlJouet">
                    </div>

                    <div class="prodcolor">
                        <p>COULEUR</p>
                        <div class="cl1" style='background-color:{{element.product.colour}}'>
                        </div>
                    </div>
                    {% if element.sizeTitle %}
                    <div class="prodcolor">
                        <p>Taille</p>
                        <p>{{element.sizeTitle}}</p>
                    </div>
                    {% endif  %}
                    <div class="prodcolor">
                        <label for="qty">Qty:</label>
                        <p> {{ element.quantity }}</p>
                    </div>

                    <div class="prodprice">
                        <span>{{ element.product.price }} </span>
                        <i class="fa-solid fa-euro-sign"></i>
                    </div>
                    {% set totalPrice = totalPrice + (element.quantity * element.product.price) %}
                    {% set totalQuantity = totalQuantity + element.quantity %}

                    <div class="hlJouet"></div>
                   
                </div>

            </div>

          
           {% endfor %}
            {% if panier %}
            

               
                    <div class="totalprice">
                        <h2>Quantité</h2>
                        <div class="prodprice">
                            <span> {{totalQuantity}}</span>
                        </div>
                    </div>
                    <div class="totalprice">
                        <h2>TOTAL À PAYER</h2>
                        <div class="prodprice">
                            <span> {{totalPrice}}</span>
                            <i class="fa-solid fa-euro-sign"></i>
                        </div>
                    </div>
               
                <div class="cartDiv">
                    <a href="{{path("order") }}">
                        <span class="btnCart">
                            <span>Passer votre commande et Payer</span>
                        </span>
                    </a>
                </div>
               
            </div>
           

           
            {% else %}
            {% endif %}

            <div>
            </div>
        </div>
    </section>
</body>
{% endblock %}